%define xdmdir %{_sysconfdir}/X11/xdm

Name:           xdm-xsessions
Version:        0.0.4
Release:        1%{?dist}
Summary:        Xdm session related utilities

Group:          Applications/System
License:        Public Domain and GPL+ and GPLv2
Url:            http://www.environnement.ens.fr/perso/dumas/xdm-xsessions.html
Source0:        http://www.environnement.ens.fr/perso/dumas/xdm-xsessions-download/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  pkgconfig
#Requires:       %{_bindir}/xmessage
Requires:       %{_bindir}/Xdialog

%description
This package contains scripts and utilities allowing to have a session 
selector in xdm.

To use it, you can set 
DISPLAYMANAGER=xdm_xsessions
in /etc/sysconfig/desktop.

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/dm-sessions

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README COPYING
%{_bindir}/xdm_xsessions
%{_bindir}/xdm-update_xsessions
%{_bindir}/xdm-session-chooser
%{_bindir}/xdm-session-chooser-xdialog
%{_bindir}/xdm-session-chooser-xmessage
%dir %{xdmdir}/
%config(noreplace) %{xdmdir}/TakeConsole-xsessions
%config(noreplace) %{xdmdir}/GiveConsole-xsessions
%config(noreplace) %{xdmdir}/Xsetup_0-xsessions
%config(noreplace) %{xdmdir}/Xsession-xsessions
%config(noreplace) %{xdmdir}/xdm-config-xsessions
%dir %{_localstatedir}/lib/dm-sessions

%changelog
* Wed Dec 26 2007 Patrice Dumas <pertusus@free.fr> 0.0.4-1
- initial release
